Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 757606 - <www-client/chromium-88[system-icu]: V8 requires patch to work with >=dev-libs/icu-68.1
Summary: <www-client/chromium-88[system-icu]: V8 requires patch to work with >=dev-lib...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Chromium Project
URL: https://bugs.chromium.org/p/v8/issues...
Whiteboard:
Keywords:
Depends on:
Blocks: icu-68.1
  Show dependency tree
 
Reported: 2020-11-29 15:18 UTC by Stephan Hartmann
Modified: 2021-03-12 20:10 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
V8 ICU 68.1 patch (v8-icu68.patch,6.97 KB, patch)
2020-11-30 11:20 UTC, Stephan Hartmann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Hartmann gentoo-dev 2020-11-29 15:18:36 UTC
See ${URL}.

Most likely net-libs/nodejs[system-icu] and dev-qt/qtwebengine[system-icu] require patching as well.

I try to modify upstream patch to work with older icu as well.
Comment 1 Stephan Hartmann gentoo-dev 2020-11-30 11:20:25 UTC
Created attachment 675814 [details, diff]
V8 ICU 68.1 patch

I modified upstream patch to work with ICU 67.1 and ICU 68.1. Tested the patch with V8-8.7.220.25 (bundled with current chromium stable). Testsuite passes with ICU 67.1 and ICU 68.1 (both bundled with V8). However, testsuite requires additional patches, but did not include here.
Comment 2 Larry the Git Cow gentoo-dev 2020-12-03 19:26:45 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce271b74f0f6be73cef6b837d17a411386d691a4

commit ce271b74f0f6be73cef6b837d17a411386d691a4
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2020-12-03 19:25:45 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2020-12-03 19:26:23 +0000

    www-client/chromium: stable channel bump to 87.0.4280.88
    
    Add patches for ICU 68.1 compatibility.
    
    Bug: https://bugs.gentoo.org/757606
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 www-client/chromium/Manifest                       |   1 +
 www-client/chromium/chromium-87.0.4280.88.ebuild   | 899 +++++++++++++++++++++
 www-client/chromium/files/chromium-87-icu68.patch  | 400 +++++++++
 .../chromium/files/chromium-87-v8-icu68.patch      | 192 +++++
 4 files changed, 1492 insertions(+)
Comment 3 Andreas Sturmlechner gentoo-dev 2020-12-20 18:11:23 UTC
Any reason why this bug remains open?
Comment 4 Stephan Hartmann gentoo-dev 2020-12-20 18:50:45 UTC
(In reply to Andreas Sturmlechner from comment #3)
> Any reason why this bug remains open?

I did not fix net-libs/nodejs[system-icu] and dev-qt/qtwebengine[system-icu], but those bundle V8 as well.
Comment 5 Andreas Sturmlechner gentoo-dev 2020-12-20 18:54:58 UTC
It is always one bug per package, otherwise we can't keep track of it effectively.

dev-qt/qtwebengine is fixed anyway (bug 751997).
Comment 6 Stephan Hartmann gentoo-dev 2020-12-20 19:57:25 UTC
(In reply to Andreas Sturmlechner from comment #5)
> It is always one bug per package, otherwise we can't keep track of it
> effectively.
> 
> dev-qt/qtwebengine is fixed anyway (bug 751997).

This is not about a build failure. V8 behaves incorrectly with ICU 68. Nevertheless, closing this one, because it is fixed for chromium.
Comment 7 Andreas Sturmlechner gentoo-dev 2020-12-21 09:19:20 UTC
(In reply to Stephan Hartmann from comment #6)
> This is not about a build failure. V8 behaves incorrectly with ICU 68.
Interesting, you mean this is about runtime issues on top of the build fixes?
Comment 8 Larry the Git Cow gentoo-dev 2021-03-12 20:08:55 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=286732e1677d672669f19607f1db62780c62d746

commit 286732e1677d672669f19607f1db62780c62d746
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-03-12 17:08:45 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-03-12 20:06:39 +0000

    dev-qt/qtwebengine: Fix runtime crash with certain locales
    
    Due to the pain a revbump will cause and only a minority of users affected,
    the patch is applied in place and we will ask affected users to rebuild.
    
    Reported-by: 12101111 <w12101111@outlook.com>
    Thanks-to: Florian Bruhin <gentoo.org@the-compiler.org>
    Bug: https://bugs.gentoo.org/757606
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 ...-5.15.2_p20210224-fix-crash-w-app-locales.patch | 135 +++++++++++++++++++++
 .../qtwebengine-5.15.2_p20210224.ebuild            |   3 +-
 2 files changed, 137 insertions(+), 1 deletion(-)
Comment 9 Andreas Sturmlechner gentoo-dev 2021-03-12 20:10:39 UTC
wrong bug...